J'ai une situation un peu étrange :

J'exécute une instance amazon ec2 Ubuntu 12.04.4 LTS (GNU/Linux 3.2.0-58-virtual x86_64). Chaque jour, lorsque je m'y connecte via ssh, le message suivant s'affiche :

6 packages can be updated.
6 updates are security updates.

sûrement je les mets à jour sudo apt-get update && sudo apt-get upgrade. Mais il réapparaît à la prochaine connexion. Il y a déjà une semaine cela arrive tous les jours. La mise à niveau se termine sans aucune erreur, mais je vois ce qui suit à la fin :

The following packages have been kept back:
  linux-headers-virtual linux-image-virtual linux-virtual
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

Comment puis-je m'en débarrasser et pourquoi cela se produit-il ?

answer

J'ai trouvé quelle était la raison de ces messages et pourquoi je n'étais pas capable de m'en débarrasser apt-get install && apt-get update.

La raison pour laquelle je n'ai pas pu les installer est qu'après chaque mise à niveau, ils retenaient (non installés). C'est parce qu'il s'agit de mises à jour de sécurité et pour autant que je les ai, elles modifient le noyau. Vous devez donc dire au système de faire cela avec.

sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

Pour plus d'informations sur ces choses, regardez les questions que j'ai trouvées (attention, les gens disent qu'il faut être assez prudent avant de faire cela).

Lorsque j'ai tout mis à jour, j'ai vu le message suivant **** Redémarrage du système requis *******. Je l'ai résolu avec cette commande sudo reboot .